ros-melodic-controller-interface (0.17.0-1stretch) stretch; urgency=high

  * Use default member initializers
  * Prefer default member initializers
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-melodic-controller-interface (0.16.0-1stretch) stretch; urgency=high

  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Replace header guard with #pragma once
  * Remove unnecessary  rosunit/rostest dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Multi-update cycle mode switch (#391 <https://github.com/ros-controls/ros_control/issues/391>)
    For more info: https://github.com/pal-robotics-forks/ros_control2/pull/5
    * Added tests for ControllerManager update
    * Mocks for controllers and controller loader in update test
    * Divided in tests with and without controllers
    * Controller state initialized in mock
    * Moved mocks to test class
    * All tests using mock class
    * Test for multiple updates in a single controller
    * Added new switchResult() function to RobotHW interface
    ControllerManager uses this function to wait for the result of the
    doSwitch() before starting the new set of controllers
    * Using ranged based loops
    * Switch is now managed in a separate function
    * Option to start controllers as soon as their joints are ready after a switch
    * Tests for controller_interface API
    * Added new STOPPED, WAITING and ABORTED states to ControllerBase
    * Split manageSwitch() into smaller functions
    * Abort pending controllers in case of switch error
    * Changed default behaviour of new switch param
    This way if it not set it will be the same behaviour as previous version
    * Added timeout parameter to switch controller
    * Removed unnecessary includes
    * Using target_include_directories for the test
    * std::all_of instead of std::count_if
    * Deleted autogenerated file
    * Adapted tests to changes in controller_manager
    * Adapted python implementation to new parameters in SwitchController
    * Added missing parameter description docstring
    * Moved all parameters used for switching to a separate object
    * Moved error messages to controller_base
    * State check functions are now const
    * Removed unnecessary comments
    * Added constants for start_asap and timeout default parameters values
  * Removed unnecessary comments
  * State check functions are now const
  * Moved error messages to controller_base
  * Using target_include_directories for the test
  * Fixed lincenses
  * Removed unnecessary includes
  * Abort pending controllers in case of switch error
  * Added new STOPPED, WAITING and ABORTED states to ControllerBase
  * Tests for controller_interface API
  * Contributors: Bence Magyar, Jordan Palacios, Matt Reynolds, jordan-palacios

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-melodic-controller-interface (0.15.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Sep 2018 23:00:00 -0000

ros-melodic-controller-interface (0.15.0-1stretch) stretch; urgency=high

  * boost::shared_ptr -> std::shared_ptr
  * Introduce shared_ptr typedefs
  * remove forward declaration of InterfaceResources
  * Contributors: Bence Magyar, Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 May 2018 23:00:00 -0000

ros-melodic-controller-interface (0.14.2-1stretch) stretch; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-melodic-controller-interface (0.14.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-melodic-controller-interface (0.14.0-1stretch) stretch; urgency=high

  * Switch MultiInterfaceController to use variadic templates.
  * Use public virtual for Controller inheritance.
  * Contributors: Mike Purvis

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-melodic-controller-interface (0.13.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-controller-interface (0.12.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-melodic-controller-interface (0.11.5-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-melodic-controller-interface (0.11.4-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-melodic-controller-interface (0.11.3-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-melodic-controller-interface (0.11.2-1stretch) stretch; urgency=high

  * Remove boost from depends declaration to fix cmake warning
  * sort dependencies
  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-melodic-controller-interface (0.11.1-1stretch) stretch; urgency=high

  * Fix the example in the comments in multi_interface_controller.h.
  * Contributors: Miguel Prada

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-melodic-controller-interface (0.11.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-controller-interface (0.10.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-melodic-controller-interface (0.10.0-1stretch) stretch; urgency=high

  * Add MultiInterfaceController.
    - Subclass of ControllerBase which allows to claim resources from up to four
    different hardware interfaces.
    Requested hardware interfaces are required by default, but can be made optional
    through a constructor flag.
  * Remove getHardwareInterfaceType() pure virtual method from ControllerBase
    class.
    - C++ API break.
    - Controller class still preserves the method, albeit protected and non-virtual.
  * Modify controller interfaces to allow for controllers that claim resources
    from more than one hardware interface.
    - C++ API break.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-controller-interface (0.9.3-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-melodic-controller-interface (0.9.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-controller-interface (0.9.1-1stretch) stretch; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-controller-interface (0.9.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-controller-interface (0.8.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-melodic-controller-interface (0.8.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-melodic-controller-interface (0.8.0-1stretch) stretch; urgency=high

  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-melodic-controller-interface (0.7.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-melodic-controller-interface (0.7.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-melodic-controller-interface (0.7.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-melodic-controller-interface (0.6.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-melodic-controller-interface (0.5.8-1stretch) stretch; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * Add .gitignore file.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.7-1stretch) stretch; urgency=high

  * Updated changelogs
  * Documentation fixes.
    - Tag (non)realtime methods in ControllerBase.
    - Fix incorrect param name in Controller.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.6-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.5-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.4-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.3-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.5.0-1stretch) stretch; urgency=high

  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * Reneamed Github repo in documentation to ros-controls

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-melodic-controller-interface (0.4.0-1stretch) stretch; urgency=high

  * Version 0.4.0
  * 1.0.1
  * Fix package URL in package.xml
  * adding install targets
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * Fix package URLs.
  * Refactor named resource management code.
    - In preparation for the explicitly typed actuators interface, code for managing
    named resources has been refactored into a separate class. This code consists
    of convenience methods wrapping a std::map container, and occur often enough
    that factoring it out to prevent duplication makes sense.
    - Code that is not part of the public API, and hence with no stability guarantees
    has been moved to the internal folder/namespace. It only affects the named
    resource management and symbol demanglind methods so far.
  * catkinizing, could still be cleaned up
  * Use demangled type names when available. Fixes #36 <https://github.com/davetcoleman/ros_control/issues/36>.
    Type names are used in different interfaces  such as hardware_interface and
    controller_interface. When symbol demangling is available (currently gcc 3.0+),
    operate on demangled names, as they are more convenient for human reading, eg.
    hardware_interface::VelocityJointInterface
    instead of
    N18hardware_interface22VelocityJointInterfaceE
  * [Trivial] Remove redundant semicolon.
  * Update controller_interface docs.
    More descriptive documentation for initialization methods with two NodeHandle
    arguments.
  * add option to pass in two nodehandles to a controller: one in the root of the controller manager namespace, and one in the namespace of the controller itself. This copies the behavior used by nodelets and nodes
  * Fix typo in rosdoc config files.
  * Adding template parameter doc
  * Adding lots of inline documentation, rosdoc files
    adding inline doc to robot_hw
    adding inline doc to robot_hw
    adding inline doc to robot_hw
    more doc
    more documentation
    more doc
    more doc
    more doc
    more doc
    formatting
    adding more doc groups in controller manager
    adding more doc groups in controller manager
    Adding doc for controllerspec
    adding hardware interface docs
    adding doc to joint interfaces
    adding rosdoc for controller_interface
    Adding / reformatting doc for controller interface
  * new interface with time and duration
  * cleanup
  * Adding in resource/claim infrastructure
  * clean up publishing controller state
  * Switching to owned interfaces, instead of multiple virtual inheritance
  * Fixing copyright header text
  * Tweaking inheritance to be virtual so it compiles. dummy app with controller manager compiles
  * all pkgs now ported to fuerte
  * running controller with casting. Pluginlib still messed up
  * add macro
  * compiling version
  * move joint state controller to new package
  * make a dummy plugin
  * untested stuff, debians are screwed up
  * compiling version
  * working install target
  * base classes
  * first catkin stuff

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 24 Jun 2013 23:00:00 -0000


